Name:		twlog
Version:	2.7
Release:	11%{?dist}
Summary:	Records basic ham radio log information
Group:		Applications/Communications
License:	GPLv2+
URL:		http://wa0eir.home.mchsi.com/%{name}.html
# .desktop patch
Patch0:		%{name}-%{version}.desktop.patch
# Makefile patch
Patch1:		%{name}-%{version}.makefiles.patch
# configure patch
Patch2:		%{name}-%{version}.configure.patch
Source0:	http://wa0eir.home.mchsi.com/src/%{name}-%{version}.src.tar.gz
# Wrapper script to install user defaults
Source1:	%{name}.sh.in
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xbae-devel
BuildRequires:	desktop-file-utils

%description
Twlog records basic Ham log information. It was written
for day to day logging, not contesting. There are no dupe
checks or contest related features.

%prep
%setup -q
%patch0 -p1 -b %{name}-%{version}.desktop.patch
%patch1 -p1 -b %{name}-%{version}.makefiles.patch
%patch2 -p1 -b %{name}-%{version}.configure.patch

# Set perms on source file
chmod 644 ./src/adif.c

%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install provided icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -p -D -m 0644 ./src/icons/%{name}_14x32.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications/	\
	$RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# Move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT/%{_libexecdir}/
mv $RPM_BUILD_ROOT/%{_bindir}/%{name} $RPM_BUILD_ROOT/%{_libexecdir}/%{name}-bin

# Install wrapper script installs needed files in users home directory.
install -p -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/%{name}

# Twlog default settings
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/X11/app-defaults/
install -p -D -m 0644 ./src/Twlog $RPM_BUILD_ROOT/%{_datadir}/X11/app-defaults/Twlog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO ChangeLog THANKS
%{_bindir}/%{name}
%{_libexecdir}/%{name}-bin
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/X11/app-defaults/Twlog
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.7-3
- Rebuild for F14/Rawhide

* Mon Jul 19 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.7-2
- Apply configure patch to search proper library directories on x86_64

* Sat Jul 17 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.7-1
- New upstream release
- Edit spec per review
- Added desktop-file-install to verify .desktop file

* Thu Jul 15 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.6-3
- Tweek install wrapper
- Twlog already checks for log directory. Creates it if not exists.
- Commented routine from wrapper.

* Mon Jul 12 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.6-2
- Tweek install wrapper

* Mon Jul 12 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraprojecct.org> - 2.6-1
- Initial spec build
